 int n = ...;
 range V = 1..n;
 int A[V][V] = ...;
 
 //Relaxierung
 dvar float+ x[V];

 //ILP
 //dvar int+ x[V];
 
 minimize sum (v in V) x[v];
 
 subject to {
   covered: forall (u in V, v in V)
     x[u] + x[v] >= A[u][v];
 }


//Runden
 execute {
   var total_cost = 0;
   for (var v in V) {
     if (x[v] == 0.5) {
       total_cost += 1;
       writeln("Vertex " + v + " rounded from 0.5 to 1");
     } else {
       total_cost += x[v];
     }       
   }
   writeln("Total cost: " + total_cost);
 }
 